Name:           tcpreen
Version:        1.4.4
Release:        4%{?dist}
Summary:        A TCP/IP re-engineering and monitoring program

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.remlab.net/tcpreen/
Source0:        http://www.remlab.net/files/tcpreen/stable/tcpreen-1.4.4.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  libpcap-devel
BuildRequires:  gettext


%description
TCPreen is a simple tool to monitor and analyze data transmitted between
clients and servers through connection-oriented streams data such as a TCP
sessions; it supports TCP over either IPv4 or IPv6. This tool focuses on
the data stream (software/socket layer), not on the lower level transmission
protocol as packet sniffers do. 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_mandir}/man*/*.*
%{_bindir}/%{name}


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.4-3
- Rebuilt

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.4-1
- Initial spec for Fedora
